Bug 476747 - lack of error recovery for gdm/X-server failure
lack of error recovery for gdm/X-server failure
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 476749
  Show dependency treegraph
 
Reported: 2008-12-16 17:01 EST by Roland McGrath
Modified: 2009-12-18 02:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:18:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland McGrath 2008-12-16 17:01:52 EST
Description of problem:

When the X server fails to start, the graphical boot splash screen ("solar") remains in place and the console is unusable.

Version-Release number of selected component (if applicable):

plymouth-0.6.0-1.fc10.i386
xorg-x11-server-utils-7.4-3.fc10.i386
plymouth-plugin-label-0.6.0-1.fc10.i386
plymouth-utils-0.6.0-1.fc10.i386
plymouth-system-plugin-0.6.0-1.fc10.i386
plymouth-gdm-hooks-0.6.0-1.fc10.i386
plymouth-libs-0.6.0-1.fc10.i386
plymouth-plugin-solar-0.6.0-1.fc10.i386
xorg-x11-server-Xorg-1.5.3-6.fc10.i386
gdm-user-switch-applet-2.24.1-2.fc10.i386
xorg-x11-server-common-1.5.3-6.fc10.i386
plymouth-scripts-0.6.0-1.fc10.i386
gdm-2.24.1-2.fc10.i386

How reproducible:
100%

Steps to Reproduce:
1. echo lose > /etc/X11/xorg.conf
2. reboot
3. wait for the stars to stop twinkling
  
Actual results:

Frozen console, cannot get anything from typing, can't switch VTs.

Expected results:

Switch to text mode, show some error messages.

Additional info:

I'm not really sure which components are at fault here.  The lack of error recovery is a serious problem--the boot sequence should become usable somehow in many different cases of components failing.

Here the X server refused to start up because of a bad xorg.conf file.
That is fine for its part, but gdm should be more graceful about it.
I can't even figure out how to make gdm restart (without rebooting) after fixing the problem via ssh login.

Even if gdm fails ungracefully, the boot sequence should do something that a console user can recover from.  Switching to text mode and making VT switching hot keys work seems like the minimum.  Booting the same system with "rhgb quiet" remove from the kernel command line at least gets you that.
Comment 1 Ray Strode [halfline] 2008-12-16 17:29:03 EST
Right now we put the console into KD_GRAPHICS mode to prevent text from showing up.  Soon we'll be switching over to using libdrm for plymouth.  As part of that changeover plymouth will own it's framebuffer object instead of using the kernel one (which fbcon also uses).

This problem should go away then.
Comment 2 Bug Zapper 2009-11-18 05:29:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:18:45 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.